<?php


class paginadef {
  var $lan;
  var $level;
  var $style = 'css/style.css';
  var $style_ie = 'css/style_ie.css';
  var $style_ie_6 = 'css/style_ie6.css';
  var $contact = "";
  var $label =array();
  var $db;
  var $http;

//001: __construct: carica impostazioni generali
function __construct() {
	header('Content-type: text/html; charset=utf-8');
	include($this->globallevel().'local/local_settings.php');
	include($this->globallevel().'func/db_connect.php');
	$this->db = $db;
	if (isset($_GET['lan'])) $this->lan=$_GET['lan'];
	else $this->lan = 'it';
	$this->label = $this->csv_to_array($file=$this->globallevel().'func/lang_'.$this->lan.'.csv', $separatore=',');
	//print_r($this->label);
	//if ($this->label === FALSE) print "Impossibile caricare il file per la lingua selezionata ($this->lan)";
	$lvls = substr_count($_SERVER['REQUEST_URI'],'/') - $install_folder_level -1;
	$this->level = str_repeat("../", $lvls );
	//site languages
	$this->languages = $public_lang;
	include($this->globallevel().'func/utils_pgdef.php');

	
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//002: globallevel: calcola il livello del sito per le funzioni di base
function globallevel() {
	if(array_key_exists('globallevel', $GLOBALS)) {
		global $globallevel;
		return $globallevel;
	}else return "";
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//003: csv_to_array: converte un csv in un array associativo. Utilizzato per il file delle etichette delle lingue
function csv_to_array($file, $separatore = ",")  {  
       
	$arr = array();
	if (($handle = fopen($file, "r")) !== FALSE) {
		while (($data = fgetcsv($handle, 2000, $separatore)) !== FALSE) {
			$num = count($data);
			if (isset($data[0]) && isset($data[1]) )
				$arr[$data[0]] = $data[1];
		}
		fclose($handle);
	}  
	return $arr;

}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//


//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//011 data_it: trasforma una data da inglese a italiana (x visualizzazione)
function data_it($data_en){
  $date_array = explode("-", $data_en);
  $data_it = $date_array[2]."/".$date_array[1]."/".$date_array[0];
  return $data_it;
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//012 data_en: trasforma una data da italiana a inglese (x inserimento in db)
function data_en($data_it){
  $date_array = explode("/", $data_it);
  $data_en = $date_array[2]."-".$date_array[1]."-".$date_array[0];

  return $data_en;
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//013 dataora_it: trasforma una data e ora da inglese a italiana (x visualizzazione)
function dataora_it($data_en){
	if(!empty($data_en)){
	  $datetime_array = explode(" ", $data_en);
	  $time = explode(":", $datetime_array[1]);
	  $date_array =  explode("-", $datetime_array[0]);
	  $data_it = $date_array[2]."/".$date_array[1]."/".$date_array[0]." ".$time[0].":".$time[1];
    }else $data_it = '';
  return $data_it;
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//014 dataora_en: trasforma una data e ora da italiana a inglese (x inserimento in db)
function dataora_en($data_it){
	if(!empty($data_it)){
	  $datetime_array = explode(" ", $data_it);
	  $date_array = explode("/", $datetime_array[0]);
	  $data_en = $date_array[2]."-".$date_array[1]."-".$date_array[0]." ".$datetime_array[1];
	}else $data_en = '';

  return $data_en;
}
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//--//
//015 dataorar_it: trasforma una data e ora da inglese a data (senza ora) italiana (x visualizzazione)
function dataorar_it($data_en){
  $datetime_array = explode(" ", $data_en);
  $date_array =  explode("-", $datetime_array[0]);
  $data_it = $date_array[2]."-".$date_array[1]."-".$date_array[0];

  return $data_it;
}

}//END CLASS
?>
