<?php
include('classes/pgdef.php');
$pgdef = new paginadef();
$title = 'Area direttivo';
$out = '';

?>
<!DOCTYPE html>
<html dir="ltr" lang="<?=$pgdef->lan?>">
<head>

	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta charset="utf-8">

	<meta name="author" content="iodisegnoilweb.it" />

	<!-- Stylesheets
	============================================= -->
	
	<link href="https://fonts.googleapis.com/css?family=Lato:300,400,400i,700|Raleway:300,400,500,600,700|Crete+Round:400i" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/bootstrap.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/style.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/swiper.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/dark.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/font-icons.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/animate.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/magnific-popup.css" type="text/css" />
	<link rel="stylesheet" href="<?=$pgdef->level?>css/responsive.css" type="text/css" />

	<meta name="viewport" content="width=device-width, initial-scale=1" />
	
	
	<title><?=$title?></title>

	<meta name="keywords" content="<?=$keywords?>">
	<meta name="robots" content="<?=$robotscontent?>">
	<link rel="shortcut icon" type="image/x-icon" href="<?=$pgdef->level?>local/favicon.ico">

	<script type="text/javascript" charset="UTF-8" src="<?=$pgdef->level?>js/cookie_<?=$pgdef->lan?>.js"></script>

</head>

<body data-loader="1" data-animation-in="fadeIn" data-speed-in="1500" data-speed-out="0" >

	<!-- Document Wrapper
	============================================= -->
	<div id="wrapper" class="clearfix">
	<h2 class="text-center">Benvenuti nell'area di amministrazione</h2>
	<h4 class="text-center">Qui potrete vedere i risultati delle votazioni, e i dati relativi ai soci</h4>
	<h6 class="text-center"><?=$out?></h6>
	<div class="container">
			<div class="tabs clearfix ui-tabs ui-corner-all ui-widget ui-widget-content" id="tab-3">

							<ul class="tab-nav tab-nav2 clearfix ui-tabs-nav ui-corner-all ui-helper-reset ui-helper-clearfix ui-widget-header" role="tablist">
								<li role="tab" tabindex="0" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab ui-tabs-active ui-state-active" aria-controls="tabs-9" aria-labelledby="ui-id-21" aria-selected="true" aria-expanded="true"><a href="#tabs-9" role="presentation" tabindex="-1" class="ui-tabs-anchor" id="ui-id-21"><i class="icon-user norightmargin"></i> Soci</a></li>
								<li role="tab" tabindex="-1" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab" aria-controls="tabs-10" aria-labelledby="ui-id-22" aria-selected="false" aria-expanded="false"><a href="#tabs-10" role="presentation" tabindex="-1" class="ui-tabs-anchor" id="ui-id-22"><i class="icon-file-alt norightmargin"></i> Spoglio schede</a></a></li>
								<li role="tab" tabindex="-1" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab" aria-controls="tabs-12" aria-labelledby="ui-id-22" aria-selected="false" aria-expanded="false"><a href="#tabs-12" role="presentation" tabindex="-1" class="ui-tabs-anchor" id="ui-id-24"><i class="icon-user norightmargin"></i> Esiti voti</a></a></li>
								<li role="tab" tabindex="-1" class="ui-tabs-tab ui-corner-top ui-state-default ui-tab" aria-controls="tabs-11" aria-labelledby="ui-id-22" aria-selected="false" aria-expanded="false"><a href="#tabs-11" role="presentation" tabindex="-1" class="ui-tabs-anchor" id="ui-id-23"><i class="icon-mail norightmargin"></i> Invia email con link</a></a></li>
								
							</ul>

							<div class="tab-container">

								<div class="tab-content clearfix ui-tabs-panel ui-corner-bottom ui-widget-content" id="tabs-9" aria-labelledby="ui-id-21" role="tabpanel" aria-hidden="false" style="">
								<?php
									$votanti = 0;
									$totusers = 0;
									$code = '';
									$sql = $pgdef->db->query("select * from users order by nomeutente");
									while($users = $sql->fetch()){
										$totusers = $totusers+1;
										$code = $code."<tr>";
										if($users['iscandidato'] == 1)
										$code = $code."<td><h3 class=\"text-center mb-0\"><i class=\"icon-certificate\"></i></h3></td>";
											else
										$code = $code."<td></td>";
										if($users['firstaccess'] == 1)
										$code = $code."<td><h3 class=\"text-center mb-0\"><i class=\"icon-check\"></i></h3></td>";
											else
										$code = $code."<td></td>";
										
										if(!is_null($users['dataoravoto'])){
											$code = $code."<td><span class=\"button button-small button-circle button-green\"><i class=\"icon-check\"></i>".stripslashes($users['nomeutente'])."</span></td><td>https://www.iltuosito.it/votazioni/index.php?id=".$users['id']."&key1=".$users['key1']."&key2=".$users['key2']."</td>";
											$votanti = $votanti+1;
										}
										else
											$code = $code."<td><span class=\"button button-small button-circle button-red\"><i class=\"icon-off\"></i>".stripslashes($users['nomeutente'])."</span></td><td>https://www.iltuosito.it/votazioni/index.php?id=".$users['id']."&key1=".$users['key1']."&key2=".$users['key2']."</td>";
										$code = $code."<td>".stripslashes($users['mail'])."</td>";
										$code = $code."</tr>";
									}
								?>
									
									<p>
										Legenda: 
										<span class="button button-small button-circle button-green"><i class="icon-check"></i> Ha votato</span>
										<span class="button button-small button-circle button-red"><i class="icon-off"></i> Non ha votato</span>
									</p>
									<table class="table table-striped"><thead><tr><td class="text-center"><strong>Candidatura</strong></td><td class="text-center"><strong>È riuscito/a a entrare</strong></td><td class="text-center"><strong>Nome utente</strong></td><td class="text-center"><strong>Link di accesso</strong></td><td class="text-center"><strong>Email</strong></td></tr></thead><tbody><?=$code?></tbody></table>
								</div>
								<div class="tab-content clearfix ui-tabs-panel ui-corner-bottom ui-widget-content" id="tabs-10" aria-labelledby="ui-id-22" role="tabpanel" aria-hidden="true" style="display: none;">
									<h4>Hanno votato <?=$votanti?> soci su <?=$totusers?></h4>
									<?php
									$nulleq = $pgdef->db->query("select * from schede where status = 'nulla'");
									echo "Schede nulle = <strong>".$nulleq->rowCount()."</strong><br>";
									
									$biancheq = $pgdef->db->query("select * from schede where status = 'bianca'");
									echo "Schede bianche = <strong>".$biancheq->rowCount()."</strong><br>";
									
									$okq = $pgdef->db->query("select * from schede where status = 'ok'");
									echo "Schede valide = <strong>".$okq->rowCount()."</strong><br><br><br>";
									
									$schedequery = $pgdef->db->query("SELECT schede.id AS schedaid, schede . * , users.nomeutente
									FROM schede
									LEFT JOIN voti ON schede.id = voti.id_scheda
									LEFT JOIN users ON voti.id_candidato = users.id
									ORDER BY schede.id");
									echo '<div class="list-group">';
									$totvoti = $lastidscheda = $i = 0;
									while($schede = $schedequery->fetch()){
										if($lastidscheda != $schede['schedaid']){
											$lastidscheda = $schede['schedaid'];
											$i++;
											if($i!=1) echo '</a>';
											echo '<a href="#" class="list-group-item list-group-item-action'.(($schede['status']=='ok')?' active':'').'"><strong>'.$i.'</strong> - '.$pgdef->dataora_it($schede['dataora'])." ".(($schede['status']!='ok')?$schede['status']:"");
										}
										if($schede['status'] == 'ok'){
										echo "<button class='btn btn-light'>".(stripslashes($schede['nomeutente']))."</button> ";
										$totvoti++;
										}
										
									}
									echo '</a></div>';
									?>
								</div>
								<div class="tab-content clearfix ui-tabs-panel ui-corner-bottom ui-widget-content" id="tabs-12" aria-labelledby="ui-id-24" role="tabpanel" aria-hidden="true" style="display: none;">
									<h4>Esiti votazioni</h4>
									
									<ul class="skills">
									<?php
									$code = '';
									$sqlvoti = $pgdef->db->query("select users.*, count(voti.id) as tvoti from users left join voti on users.id = voti.id_candidato where users.iscandidato = 1 group by users.id order by tvoti desc");
									while($risultati = $sqlvoti->fetch()){
										
										$percent = 100*($risultati['tvoti']/$totvoti);
									$code = $code."<li data-percent=".$percent.">
								<span>".stripslashes($risultati['nomeutente'])."</span>
								<div class=\"progress skills-animated\" style=\"width: ".$percent."%;\">
									<div class=\"progress-percent\"><div class=\"counter counter-inherit counter-instant\"><span data-from=\"0\" data-to=\"".$risultati['tvoti']."\" data-refresh-interval=\"30\" data-speed=\"1100\">".$risultati['tvoti']."</span></div></div>
								</div>
							</li>";
									}
									echo $code;
							?>
						</ul>
								</div>
								<div class="tab-content clearfix ui-tabs-panel ui-corner-bottom ui-widget-content" id="tabs-11" aria-labelledby="ui-id-23" role="tabpanel" aria-hidden="true" style="display: none;">
									<div class="text-center">Funzione disabilitata
									</div>
								</div>
								

							</div>

						</div>
	</div>

	</div><!-- #wrapper end -->

	<!-- Go To Top
	============================================= -->
	<div id="gotoTop" class="icon-angle-up"></div>

	<!-- External JavaScripts
	============================================= -->
	<script src="<?=$pgdef->level?>js/jquery.js"></script>
	<script src="<?=$pgdef->level?>js/plugins.js"></script>

	<!-- Footer Scripts
	============================================= -->
	<script src="<?=$pgdef->level?>js/functions.js"></script>

</body>
</html>