<?php

//  Costruisce un array associativo con due campi (LABEL-VALUE) estratti da una select
function db_values_array ($table="", $value_field="", $label_field="", $sort_field="", $where="")
{
    $values = array();

    if (empty($table) || empty($value_field)) { return $values; }

    if (empty($label_field)) { $label_field = $value_field; }
    if (empty($sort_field)) { $sort_field = $label_field; }
    if (empty($where)) { $where = "1=1"; }

    $sql = "select $value_field
            , $label_field
            from $table
            where $where
            order by $sort_field
    ";
    $result = $pgdef->db->query($sql)
		or die("ack! query failed: "
	  ."<li>errorno=".$pgdef->db->errorCode()
	  ."<li>error=".$pgdef->db->errorCode()
	  ."<li>query=".$sql
    );
    if ($result)
    {
            while (list($value,$label) = $result->fetch())
            {
                    $values[$value] = strtolower($label);
            }
    }
    return $values;
}

//  Costruisce un array associativo con TUTTI I dati estratti da una select
function db_array ($table="", $value_field="", $label_field="", $sort_field="", $where="")
{
    $values = array();
  
    if (empty($table) || empty($value_field)) { return $values; }
  
    if (empty($label_field)) { $label_field = $value_field; }
    if (empty($sort_field)) { $sort_field = $label_field; }
    if (empty($where)) { $where = "1=1"; }
  
    $sql = "select $value_field
            , $label_field
            from $table
            where $where
            order by $sort_field
    ";
    $result = $pgdef->db->query($sql)
  	or die("ack! query failed: "
    ."<li>errorno=".$pgdef->db->errorCode()
    ."<li>error=".$pgdef->db->errorCode()
    ."<li>query=".$sql);
    if ($result)  {
            $i = 0;
            while ($row = $result->fetch())
            {
                    $values[$i] = $row;
                    $i++;
            }
    }
    return $values;
}

function suddivisione_pagine($totr,$linkbase,$current,$rpp=0) {

    if ($rpp == 0) $rpp = 30;
    $numlink = 10;
  	$np = ceil($totr/$rpp);
  	$page_nav = " <b>pag $current</b> ";
  	
  	// link pagina precedente
  	if ($current > 1) {
  	  $lntmp = str_replace('#n#', $current-1, $linkbase);
  	  $page_nav .= ' '.str_replace('#t#', ' &lt;&lt;prec ', $lntmp);
  	}
  	// link pagina successiva
  	if ($current < $np) {
  	  $lntmp = str_replace('#n#', $current+1, $linkbase);
  	  $page_nav .= ' '.str_replace('#t#', " succ&gt;&gt; ", $lntmp);
  	}
  	 
    if ($np >= 2)  {
    	$page_nav .= 'vai a ';
  
    	$start = $current - ($numlink / 2);
    	if ($start <= 0) $start=1;
  
    	$end = $start + $numlink;
    	if ($end > $np) $end=$np;
  
  	  for ($i = $start; $i <= $end; $i++ )
        if ($i != $current) {
          $lntmp = str_replace('#n#', $i, $linkbase);
          $page_nav .= str_replace('#t#', $i, $lntmp);
          if ($i < $end) $page_nav .= ' | ';
        }
    }
  
    return(array($page_nav, $totr, $np));
}
  
  
function encode_url($str) {

    $str = urlencode($str);
    //$str = strtolower($str);
    //$str = mb_strtolower($str, 'UTF-8');
    $str = str_replace(' ', '-', $str);
    $str = str_replace('+', '-', $str);
    
    $str = stripslashes($str);

    return $str;
}

function decode_url($str) {
    $str = str_replace('-', ' ', $str);
    $str = urldecode($str);
    //$str = strtolower($str);
    //$str = mb_strtolower($str, 'UTF-8');
    
    $str = addslashes($str);
  
    return $str;
}

?>
