SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `nomeutente` varchar(64) DEFAULT NULL,
  `mail` varchar(64) DEFAULT NULL,
  `dataoravoto` datetime DEFAULT NULL,
  `key1` varchar(8) DEFAULT NULL,
  `key2` varchar(8) DEFAULT NULL,
  `iscandidato` tinyint(1) DEFAULT '0',
  `firstaccess` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE `schede` (
  `id` int(11) NOT NULL,
  `dataora` datetime DEFAULT NULL,
  `status` varchar(8) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `voti` (
  `id` int(11) NOT NULL,
  `id_scheda` int(11) DEFAULT NULL,
  `id_candidato` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `schede`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `voti`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;


ALTER TABLE `schede`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENt;


ALTER TABLE `voti`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;
