<?php
/*
 *   Query Dataset to Form
 */

// Costruisce un controllo RADIO con i dati contenuti nel dataset
// row[0] = id
// row[1] = label
function db_radio_field ($name, $dataset, $match="")
{
    $output = "";
    while($row = $dataset->fetch()) {

    $value = $row[0];
    $label = $row[1];

        $checked = ($value == $match || $label == $match) ? "checked" : "";
        $output .= <<<EOQ
<nobr><input type="radio" name="$name" value="$value" $checked> $label</nobr><br>
EOQ;

    }
        return $output;
}


// Costruisce un controllo SELECT con i dati contenuti nel dataset
// row[0] = id
// row[1] = label
function db_select_field ($dataset, $name, $match="")
{
    $output = <<<EOQ
<select name="$name">
EOQ;
    while($row = $dataset->fetch()) {

    $value = $row[0];
    $label = $row[1];

        $selected = ($value == $match || $label == $match) ? "selected" : "";
        $output .= <<<EOQ
<option value="$value" $selected>$label</option>
EOQ;
    }
    $output .= <<<EOQ
</select>
EOQ;
        return $output;
}

// Costruisce un controllo check con i dati contenuti nel dataset
// row[0] = id
// row[1] = label
// row[2] = checked
function db_check_field ($name_pref, $dataset)
{
    $output = "";
    $i = 0;
    while($row = $dataset->fetch()) {

    $value = $row[0];
    $label = $row[1];
    $bool = $row[2];

    $i += 1;

        $checked = ($bool) ? "checked" : "";
    $name = "$name_pref$1";
        $output .= <<<EOQ
<nobr><input type="radio" name="$name" value="$value" $checked> $label</nobr><br>
EOQ;

    }
        return $output;
}


/*
 *   Array to Form
 */
// costruisce un controllo select con i dati contenuti in un array
function array_select_field($values, $name, $match="", $blank=false)
{
   $output = "<select name=\"$name\" class=\"form-control\">";
   $selected = ($match == "" || $match == 0) ? "selected" : "";
   if ($blank) $output .= "<option value=\"0\" $selected> </option>";

 for ($n = 0; $n <count($values); $n++) {
    $line = each ($values);
    $val = $line[0];
    $label = $line[1];

    if  ($val == $match || $label == $match)
      { 
      $selected = "selected";
      }
    else 
      $selected = "";
    $output .= "<option value='$val' $selected> $label </option>";
  }

  $output .= "</select>";
  echo "$output";
}

function numero_telefonico($ragprod)
{
   $sql = "select tel1 from produttori where ragione = '$ragprod'";
   $rs = $pgdef->db->query($sql);
   list($num) = $rs->fetch();

   $output = '<table cellspacing="0" cellpadding="0" 	style="margin-top:10px">
		             <tr><td class="numerotel">'.$num.'</td></tr>
				</table>';

   if (strpos($num,'800')===0 && strpos($num,'800')!==FALSE)
     $output = '<table cellspacing="0" cellpadding="0" 	style="margin-top:10px">
		             <tr><td class="numeroverde">'.$num.'</td></tr>
				</table>';

   return $output;
}




?>
